Bug 779580 - Modify JMS Gateway for standard populatation of AuthenticationRequest for service authentication
Modify JMS Gateway for standard populatation of AuthenticationRequest for ser...
Status: NEW
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.0.0 CR1
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Ken Johnson
http://jira.jboss.org/jira/browse/SOA...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-17 10:06 EST by Stelios Koussouris
Modified: 2012-08-02 09:03 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: SOA-1954
Environment:
Last Closed:
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBESB-3742 Major Open Modify JMS Gateway for standard populatation of AuthenticationRequest for service authentication 2012-08-20 02:03:20 EDT
JBoss Issue Tracker SOA-1954 Major Closed Modify JMS Gateway for standard populatation of AuthenticationRequest for service authentication 2012-08-20 02:03:20 EDT

  None (edit)
Description Stelios Koussouris 2010-02-17 10:06:06 EST
++ This bug is a clone of bug 779579 ++

Affects: Documentation (Ref Guide, User Guide, etc.)
Help Desk Ticket Reference: https://enterprise.redhat.com/issue-tracker/?module=issues&action=view&tid=461273&gid=6022
project_key: SOA

The customer is looking to pass credentials via a JMS client so that the JMS gateway can pull those credentials from the transport(message) and create an AuthenticationRequest object that is used to authenticate against a "secured" service. What he is looking for is standard functionality similar of that of the JBR Gateway [1] rather than having to enhance the Gateway with a custom composer class.

In addition, clarification on which Gateways actually currently offer this functionality and "how" the client can provide the credentials would be useful

[1] http://anonsvn.jboss.org/repos/labs/labs/jbossesb/trunk/product/rosetta/src/org/jboss/soa/esb/listeners/gateway/JBossRemotingGatewayListener.java
Comment 1 Anne-Louise Tangring 2010-09-21 16:18:43 EDT
This was triaged for SOA 5.1.0. Not in SOA 5.1.0
Comment 2 Anne-Louise Tangring 2011-02-22 14:29:52 EST
This will not be considered for SOA 4.3. Keeping 5.x only. Decision by SOA PM team triage meeting. 

Note You need to log in before you can comment on or make changes to this bug.